View Issue Details

IDProjectCategoryView StatusLast Update
0000932bareos-core[All Projects] storage daemonpublic2019-01-11 14:31
ReporterbsdiceAssigned Toarogge 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformx64OSArchLinuxOS Version
Product Version17.2.5 
Target VersionFixed in Version18.2.4-rc1 
Summary0000932: SD crash after tape device disappears
Descriptionbareos-sd crashes with SIGSEGV when a configured SAS device suddenly goes away, e.g. because it is turned off. See gdb bt below.
Steps To Reproduce- Configure external SAS tape device and webUI
- Turn on SAS tape device, start dir/sd/fd services
- Turn off SAS tape device
- Navigate in WebUI to Storages -> Devices and click the magnifying glass icon
- bareos-sd will crash with SIGSEGV
Additional InformationThread 5 (Thread 0x7fee3d411700 (LWP 19371)):
#0 0x00007fee40dd26b7 in waitpid () from /usr/lib/libpthread.so.0
0000001 0x00007fee41027a64 in signal_handler () from /usr/lib/bareos/libbareos-17.2.5.so
0000002 <signal handler called>
0000003 get_device_specific_status (device=device@entry=0x55c62b182a18, sp=sp@entry=0x7fee3d410c20) at status.c:256
0000004 0x000055c62a163818 in list_devices (jcr=jcr@entry=0x7fee300334b8, sp=sp@entry=0x7fee3d410c20, devicenames=devicenames@entry=0x55c62b17fb50 "LTO-5")
    at status.c:399
0000005 0x000055c62a163ddc in output_status (devicenames=0x55c62b17fb50 "LTO-5", sp=0x7fee3d410c20, jcr=0x7fee300334b8) at status.c:96
0000006 status_cmd (jcr=0x7fee300334b8) at status.c:1096
0000007 0x000055c62a1581ec in handle_director_connection (dir=dir@entry=0x55c62b204f68) at dir_cmd.c:315
0000008 0x000055c62a161579 in handle_connection_request (arg=0x55c62b204f68) at socket_server.c:100
0000009 0x00007fee41031f26 in workq_server () from /usr/lib/bareos/libbareos-17.2.5.so
0000010 0x00007fee41016f20 in lmgr_thread_launcher () from /usr/lib/bareos/libbareos-17.2.5.so
0000011 0x00007fee40dc808c in start_thread () from /usr/lib/libpthread.so.0
0000012 0x00007fee40778e7f in clone () from /usr/lib/libc.so.6
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impactyes
bareos-18.2: actionfixed
bareos-17.2: impactyes
bareos-17.2: actionnone
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action

Activities

bsdice

bsdice

2018-03-21 15:11

reporter   ~0002948

diff --git a/src/stored/status.c b/src/stored/status.c
index c53e54a8..25fd454f 100644
--- a/src/stored/status.c
+++ b/src/stored/status.c
@@ -396,7 +396,7 @@ static void list_devices(JCR *jcr, STATUS_PKT *sp, const char *devicenames)
             sendit(msg, len, sp);
          }
 
- get_device_specific_status(device, sp);
+ // XXX get_device_specific_status(device, sp);
       }
 
       if (!sp->api) {
arogge

arogge

2019-01-11 13:34

developer   ~0003170

I can confirm that this is an issue in 17.2 and that it will be fixed in 18.2.
If you need this fix backported to 17.2 or an earlier version please contact support.

Related Changesets

bareos: dev 03b65446

2018-09-24 09:30:36

pstorz

Ported: N/A

Details Diff
fix crash in status command Affected Issues
0000932
mod - core/src/stored/status.cc Diff File

bareos: dev 225b5547

2018-09-24 09:30:36

pstorz


Committer: franku

Ported: N/A

Details Diff
fix crash in status command Affected Issues
0000932
mod - core/src/stored/status.cc Diff File

Issue History

Date Modified Username Field Change
2018-03-19 06:55 bsdice New Issue
2018-03-21 15:11 bsdice Note Added: 0002948
2018-04-05 12:56 joergs Status new => acknowledged
2019-01-11 13:29 arogge Assigned To => arogge
2019-01-11 13:29 arogge Status acknowledged => assigned
2019-01-11 13:34 arogge bareos-17.2: impact => yes
2019-01-11 13:34 arogge bareos-17.2: action => none
2019-01-11 13:34 arogge Note Added: 0003170
2019-01-11 13:35 arogge bareos-master: impact => yes
2019-01-11 13:35 arogge bareos-master: action => fixed
2019-01-11 13:35 arogge bareos-18.2: impact => yes
2019-01-11 13:35 arogge bareos-18.2: action => fixed
2019-01-11 13:35 arogge Status assigned => resolved
2019-01-11 13:35 arogge Fixed in Version => 18.2.4-rc1
2019-01-11 13:35 arogge Resolution open => fixed
2019-01-11 13:36 arogge Status resolved => closed
2019-01-11 14:30 arogge Changeset attached => bareos dev 225b5547
2019-01-11 14:31 arogge Changeset attached => bareos dev 03b65446